diff -Nru WRFV3.5/Registry/Registry.EM_COMMON WRFV3.5_MR/Registry/Registry.EM_COMMON
--- WRFV3.5/Registry/Registry.EM_COMMON	2013-04-08 20:48:08.000000000 +0200
+++ WRFV3.5_MR/Registry/Registry.EM_COMMON	2014-12-17 11:53:56.136389000 +0100
@@ -2412,6 +2740,11 @@
 ### 8. Edit the Registry file and create a halo-exchange for x_1.
 
 # Halo Update Communications
+#cjw begin
+halo      HALO_EM_VALLEY dyn_em 4:PTMEAN,PTMEAN2D,UMEAN,UMEAN2D,VMEAN,VMEAN2D,WMEAN,WMEAN2D,QVMEAN,QVMEAN2D,ZPMEAN,ZPMEAN2D,ZPMEAN2DM,PRESMEAN,PRESMEAN2D,TKEMEAN,TKEMEAN2D,XKMVMEAN,XKMVMEAN2D,XKHVMEAN,XKHVMEAN2D,dPTdX,dPTdY,dPTdZ
+period    PERIOD_EM_VALLEY dyn_em 2:PTMEAN,PTMEAN2D,UMEAN,UMEAN2D,VMEAN,VMEAN2D,WMEAN,WMEAN2D,QVMEAN,QVMEAN2D,ZPMEAN,ZPMEAN2D,ZPMEAN2DM,PRESMEAN,PRESMEAN2D,TKEMEAN,TKEMEAN2D,XKMVMEAN,XKMVMEAN2D,XKHVMEAN,XKHVMEAN2D,dPTdX,dPTdY,dPTdZ
+#cjw end
+
 halo      HALO_EM_INIT_1 dyn_em 48:u_1,u_2,v_1,v_2,w_1,w_2,ph_1,ph_2
 halo      HALO_EM_INIT_2 dyn_em 48:t_1,t_2,mu_1,mu_2,tke_1,tke_2,ww,phb
 halo      HALO_EM_INIT_3 dyn_em 48:ph0,php,t_init,mub,mu0,p,al,alt,alb
diff -Nru WRFV3.5/run/input_sounding WRFV3.5_MR/run/input_sounding
--- WRFV3.5/run/input_sounding	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/run/input_sounding	2014-12-17 11:53:56.358367000 +0100
@@ -0,0 +1,58 @@
+1000.000	 285.00	 2.62	
+    0.00	 285.00	  2.62	  0.00	  0.00	
+   25.00	 285.24	  2.62	  0.00	  0.00	
+   52.50	 285.49	  2.63	  0.00	  0.00	
+   82.75	 285.78	  2.64	  0.00	  0.00	
+  116.03	 286.09	  2.64	  0.00	  0.00	
+  152.63	 286.44	  2.65	  0.00	  0.00	
+  192.89	 286.82	  2.66	  0.00	  0.00	
+  237.18	 287.24	  2.68	  0.00	  0.00	
+  285.90	 287.70	  2.69	  0.00	  0.00	
+  339.49	 288.21	  2.70	  0.00	  0.00	
+  398.44	 288.78	  2.72	  0.00	  0.00	
+  463.28	 289.39	  2.73	  0.00	  0.00	
+  534.61	 290.08	  2.75	  0.00	  0.00	
+  613.07	 290.83	  2.77	  0.00	  0.00	
+  699.37	 291.66	  2.80	  0.00	  0.00	
+  794.31	 292.58	  2.82	  0.00	  0.00	
+  898.74	 293.59	  2.85	  0.00	  0.00	
+ 1013.62	 294.70	  2.88	  0.00	  0.00	
+ 1139.98	 295.94	  2.92	  0.00	  0.00	
+ 1278.98	 297.30	  2.96	  0.00	  0.00	
+ 1431.87	 298.80	  3.00	  0.00	  0.00	
+ 1600.06	 300.47	  3.05	  0.00	  0.00	
+ 1785.07	 302.31	  3.10	  0.00	  0.00	
+ 1988.58	 304.35	  3.16	  0.00	  0.00	
+ 2212.43	 306.61	  3.23	  0.00	  0.00	
+ 2458.68	 309.11	  3.31	  0.00	  0.00	
+ 2729.54	 311.89	  3.39	  0.00	  0.00	
+ 3027.50	 314.97	  3.49	  0.00	  0.00	
+ 3347.50	 318.32	  3.60	  0.00	  0.00	
+ 3667.50	 319.36	  3.22	  5.00	  0.00	
+ 3987.50	 320.40	  2.87	  5.00	  0.00	
+ 4307.50	 321.45	  2.55	  5.00	  0.00	
+ 4627.50	 322.50	  2.27	  5.00	  0.00	
+ 4947.50	 323.55	  2.00	  5.00	  0.00	
+ 5267.50	 324.61	  1.77	  5.00	  0.00	
+ 5587.50	 325.67	  1.56	  5.00	  0.00	
+ 5907.50	 326.73	  1.37	  5.00	  0.00	
+ 6227.50	 327.80	  1.19	  5.00	  0.00	
+ 6547.50	 328.87	  1.04	  5.00	  0.00	
+ 6867.50	 329.95	  0.90	  5.00	  0.00	
+ 7187.50	 331.02	  0.78	  5.00	  0.00	
+ 7507.50	 332.11	  0.67	  5.00	  0.00	
+ 7827.50	 333.19	  0.58	  5.00	  0.00	
+ 8147.50	 334.28	  0.50	  5.00	  0.00	
+ 8467.50	 335.37	  0.42	  5.00	  0.00	
+ 8787.50	 336.47	  0.36	  5.00	  0.00	
+ 9107.50	 337.57	  0.30	  5.00	  0.00	
+ 9427.50	 338.67	  0.26	  5.00	  0.00	
+ 9745.06	 339.77	  0.21	  5.00	  0.00	
+10060.20	 340.86	  0.18	  5.00	  0.00	
+10372.95	 341.95	  0.15	  5.00	  0.00	
+10683.31	 343.03	  0.12	  5.00	  0.00	
+10991.30	 344.11	  0.10	  5.00	  0.00	
+11296.95	 345.19	  0.09	  5.00	  0.00	
+11600.27	 346.25	  0.07	  5.00	  0.00	
+11901.28	 347.32	  0.06	  5.00	  0.00	
+12200.00	 348.38	  0.05	  5.00	  0.00	
diff -Nru WRFV3.5/run/job_wrf WRFV3.5_MR/run/job_wrf
--- WRFV3.5/run/job_wrf	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/run/job_wrf	2014-12-17 11:53:56.315475000 +0100
@@ -0,0 +1,16 @@
+#!/bin/bash
+#$ -cwd
+#$ -o output.dat
+#$ -e error.dat
+##$ -M matze.reif@gmail.com
+#$ -m e
+#$ -R y
+#$ -l h_rt=04:00:00
+#$ -N wrf_clm
+#$ -pe openmpi-fillup 48
+
+rm rsl.*
+module purge
+module load pgi openmpi netcdf
+mpirun -np $NSLOTS ./wrf.exe
+
diff -Nru WRFV3.5/run/namelist.input WRFV3.5_MR/run/namelist.input
--- WRFV3.5/run/namelist.input	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/run/namelist.input	2014-12-17 11:53:56.382417000 +0100
@@ -0,0 +1,157 @@
+ &time_control
+ run_days                            = 0,
+ run_hours                           = 0,
+ run_minutes                         = 0,
+ run_seconds                         = 0,
+ start_year                          = 2013,
+ start_month                         = 06,
+ start_day                           = 21,
+ start_hour                          = 06,
+ start_minute                        = 00,
+ start_second                        = 00,
+ end_year                            = 2013,
+ end_month                           = 06,
+ end_day                             = 23,
+ end_hour                            = 18,
+ end_minute                          = 00,
+ end_second                          = 00,
+ history_interval                    = 60,
+ frames_per_outfile                  = 1,
+ restart                             = .false.,
+ restart_interval                    = 1440,
+ io_form_history                     = 2,
+ io_form_restart                     = 2,
+ io_form_input                       = 2,
+ io_form_boundary                    = 2,
+ debug_level                         = 0,
+ /
+
+ &domains
+ time_step                           = 6,
+ time_step_fract_num                 = 0,
+ time_step_fract_den                 = 1,
+ max_dom                             = 1,
+ s_we                                = 1,
+ e_we                                = 42,
+ s_sn                                = 1,
+ e_sn                                = 42,
+ s_vert                              = 1,
+ e_vert                              = 57,
+ eta_levels                          = 1.000000,0.996243,0.992123,0.987607,0.982658,0.977237,0.971302,0.964806,0.957700,0.949932,0.941445,0.932178,0.922067,0.911046,0.899041,0.885979,0.871783,0.856371,0.839663,0.821575,0.802025,0.780932,0.758218,0.733810,0.707644,0.679666,0.649834,0.618020,0.584877,0.552769,0.521671,0.491560,0.462410,0.434199,0.406903,0.380498,0.354963,0.330276,0.306416,0.283360,0.261088,0.239580,0.218816,0.198777,0.179442,0.160794,0.142814,0.125484,0.108911,0.093062,0.077908,0.063419,0.049566,0.036323,0.023664,0.011565,0.000000, 
+ dx                                  = 1000.,
+ dy                                  = 1000.,
+ ztop                                = 12200.,
+ /
+
+ &physics
+ mp_physics                          = 2,
+ ra_lw_physics                       = 4,
+ ra_sw_physics                       = 4,
+ radt                                = 5,
+ sf_sfclay_physics                   = 1,
+ sf_surface_physics                  = 5,
+ bl_pbl_physics                      = 5,
+ bldt                                = 0,
+ cu_physics                          = 0,
+ cudt                                = 0,
+ cu_diag                             = 1,
+ isfflx                              = 1,
+ num_soil_layers                     = 10,
+ slope_rad                           = 1,
+ ifsnow                              = 0,
+ icloud                              = 0,
+ mp_zero_out                         = 0,
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ rk_ord                              = 3,
+ diff_opt                            = 0,
+ km_opt                              = 4,
+ damp_opt                            = 3,
+ dampcoef                            = 0.2,
+ zdamp                               = 1000.,
+ khdif                               = 0,
+ kvdif                               = 0,
+ smdiv                               = 0.1,
+ emdiv                               = 0.01,
+ epssm                               = 0.1,
+ time_step_sound                     = 6,
+ h_mom_adv_order                     = 5,
+ v_mom_adv_order                     = 3,
+ h_sca_adv_order                     = 5,
+ v_sca_adv_order                     = 3,
+ mix_full_fields                     = .true.,
+ mix_isotropic                       = 1,
+ non_hydrostatic                     = .true.,
+ /
+
+ &bdy_control
+ periodic_x                          = .true.,
+ symmetric_xs                        = .false.,
+ symmetric_xe                        = .false.,
+ open_xs                             = .false., 
+ open_xe                             = .false.,
+ periodic_y                          = .true.,
+ symmetric_ys                        = .false.,
+ symmetric_ye                        = .false.,
+ open_ys                             = .false.,
+ open_ye                             = .false.,
+ /
+
+ &grib2
+ /
+
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /
+
+&chem 
+ chem_opt = 16,
+ emiss_inpt_opt = 16,
+ chem_conv_tr = 0,
+ gas_drydep_opt = 0, 
+ vprm_opt = 'VPRM_table_EUROPE',
+ /
+
+&valley
+ valley_CO2backgr                    = 380.,
+ valley_CO2antr                      = 50.,
+ valley_CO2fbck                      = 1,
+ valley_CO2flat                      = 0,
+ valley_latitude                     = 45.,
+ valley_longitude                    = 0.,
+ valley_tsk_tmn                      = -5.,
+ valley_lu_index                     = 3,
+ valley_lai                          = 3.,
+ valley_vegfra                       = 1.,
+ valley_ivgtyp                       = 2,
+ valley_isltyp                       = 6,
+ valley_smois                        = 0.176,
+ valley_canwat                       = 0.0,
+ valley_topo_hp                      = 1.5E3,
+ valley_topo_ly                      = 40.0E3,
+ valley_topo_sy                      = 9.0E3,
+ valley_topo_sx                      = 9.0E3,
+ valley_topo_x1                      = 0.5E3,
+ valley_topo_x2                      = 9.5E3,
+ valley_topo_x3                      = 10.5E3,
+ valley_topo_x4                      = 19.5E3,
+ valley_topo_shiftx                  = 20.0E3,
+ valley_topo_shifty                  = 0.0E3,
+ valley_tke_lscale                   = 0,
+ valley_hfx_tke                      = 0,
+ valley_hfx                          = 0,
+ valley_randx                        = 1,
+ valley_statistics                   = 0,
+ valley_av                           = 20,
+ valley_avstep                       = 120,
+ valley_nst                          = 1,
+ valley_avspdir                      = 1,
+ valley_avsptype                     = 1,
+ valley_avsp                         = 25.,
+ /
+
diff -Nru WRFV3.5/run/run_ideal WRFV3.5_MR/run/run_ideal
--- WRFV3.5/run/run_ideal	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/run/run_ideal	2014-12-17 11:53:56.294698000 +0100
@@ -0,0 +1,10 @@
+#!/bin/bash
+#$ -cwd
+##$ -M matze.reif@gmail.com
+#$ -e error.dat
+#$ -m e
+#$ -R y
+#$ -l h_rt=300,h_vmem=8G
+#$ -N ideal
+
+./ideal.exe
diff -Nru WRFV3.5/run/save_run.sh WRFV3.5_MR/run/save_run.sh
--- WRFV3.5/run/save_run.sh	1970-01-01 01:00:00.000000000 +0100
+++ WRFV3.5_MR/run/save_run.sh	2014-12-17 11:53:56.403914000 +0100
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+echo "momentan gibt es unter  /scratch/c707249/output/ folgende Ordner \n"
+subdir=final_refval
+ls /scratch/c707249/output/$subdir/
+
+echo -n "Geben Sie den ordner an unter dem der neue Lauf gespeichert werden soll: " 
+read newdir
+mkdir /scratch/c707249/output/$subdir/$newdir
+echo "der neue ordner: $newdir wurde angelegt"
+mkdir /scratch/c707249/output/$subdir/$newdir/wrfout
+
+mv wrfout* /scratch/c707249/output/$subdir/$newdir/wrfout
+mv wrfrst* /scratch/c707249/output/$subdir/$newdir
+mv wrfinp* /scratch/c707249/output/$subdir/$newdir
+cp namelist.input /scratch/c707249/output/$subdir/$newdir
+cp input_sounding /scratch/c707249/output/$subdir/$newdir
+mv rsl.error.0000 /scratch/c707249/output/$subdir/$newdir
+mv rsl.out.0000 /scratch/c707249/output/$subdir/$newdir
+rm rsl.*
+
+cp /scratch/c707249/WRFV3.5_CLM/phys/module_physics_init.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/phys/module_sf_clm.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/phys/module_surface_driver.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/chem/chem_driver.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/chem/emissions_driver.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/chem/module_ghg_fluxes.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/chem/chemics_init.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/dyn_em/module_big_step_utilities_em.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/dyn_em/module_first_rk_step_part1.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/dyn_em/module_initialize_les.F /scratch/c707249/output/$subdir/$newdir
+cp /scratch/c707249/WRFV3.5_CLM/Registry/Registry.EM_COMMON /scratch/c707249/output/$subdir/$newdir
+echo "Lauf gesichert in /scratch/c707249/output/$subdir/$newdir"
+
diff -Nru WRFV3.5/share/module_soil_pre.F WRFV3.5_MR/share/module_soil_pre.F
--- WRFV3.5/share/module_soil_pre.F	2012-12-21 22:22:51.000000000 +0100
+++ WRFV3.5_MR/share/module_soil_pre.F	2014-12-17 11:53:56.220674000 +0100
@@ -3642,6 +3642,7 @@
       !  Local variables.
 
       INTEGER :: itf,jtf
+      character*256 :: msg !cmr 
 
       itf=MIN(ite,ide-1)
       jtf=MIN(jte,jde-1)
@@ -3671,8 +3672,25 @@
                                   its,ite, jts,jte, kts,kte              )
       ELSE IF ( ( sf_surface_physics .EQ. RUCLSMSCHEME ) .AND. ( num_soil_layers .GT. 1 ) ) THEN
          CALL init_soil_depth_3 ( zs , dzs , num_soil_layers )
+!cmr
+      ELSE IF ( ( sf_surface_physics .EQ. CLMSCHEME ) .AND. ( num_soil_layers.GT. 1 ) ) THEN
+         CALL init_soil_depth_4 ( zs , dzs , num_soil_layers )
+         CALL init_soil_2_ideal ( xland,xice,vegfra,snow,canwat,         &
+                                  ivgtyp,isltyp,tslb,smois,tmn,          &
+                                  num_soil_layers,                       &
+                                  ids,ide, jds,jde, kds,kde,             &
+                                  ims,ime, jms,jme, kms,kme,             &
+                                  its,ite, jts,jte, kts,kte              )
 
+!cmr end
       END IF
+   write(msg,*)'max zs=',maxval(zs),'max dzs=',maxval(dzs),'num_soil_layers=',num_soil_layers 
+   CALL wrf_debug(0,msg)
+   write(msg,*) maxval(xland),maxval(xice),maxval(vegfra),maxval(snow),maxval(canwat),         &
+                maxval(ivgtyp),maxval(isltyp),maxval(tslb),maxval(smois),maxval(tmn),          &
+
+   write(msg,*) 'sf_surface_physics=',sf_surface_physics,'CLMSCHEME',CLMSCHEME
+   CALL wrf_debug(0,msg)
 
    END SUBROUTINE process_soil_ideal
 
